Index: roarclients/Makefile
===================================================================
--- roarclients/Makefile	(revision 5851)
+++ roarclients/Makefile	(revision 0)
@@ -1,118 +1,17 @@
-TARGETS_DEVEL=roartypes roar-config
-TARGETS_EXAMPLE=roarvorbis roarsin
-TARGETS_IO=roarcat roarcatplay roarcatvio roarbidir roarmon roarmonhttp roarradio
-TARGETS_CTL=roarctl roarlight roarinterconnect roarclientpass
-TARGETS_DSP=roarfilt roarvumeter roardtmf
-TARGETS_MISC=roarsockconnect roarphone roarshout
-TARGETS_M=
-TARGETS_VIO=roarvio
-TARGETS_PLUGINS=roarpluginrunner roarpluginapplication
+TARGETS=roarcat roarcatad roarctl roarmon
 
-#TARGETS_TESTS=zcattest pgptest pipetest polytest
-#TARGETS_OLD=roarcatpassfh roarsocktypes
+DEFINES        = -DDEBUG
+INCLUDE = -I../include -I./include
+CFLAGS  = -g -Wall -O2 $(DEFINES) $(INCLUDE)
+LDFLAGS = -g -L../lib/ -lroar
 
-TARGETS=$(TARGETS_IO) $(TARGETS_CTL) $(TARGETS_DSP) $(TARGETS_MISC) $(TARGETS_DEVEL) $(TARGETS_EXAMPLE) $(TARGETS_M) $(TARGETS_VIO) $(TARGETS_PLUGINS)
-
-# tools we maybe want to kick of the package
-TARGETS += $(TARGETS_TESTS) $(TARGETS_OLD)
-
-
-TOOLS=roarify
-
-include ../Makefile.conf
-include ../Makefile.inc
-
-#DEFINES        = -DDEBUG
-INCLUDE    = -I../include -I./include
-CFLAGS    += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH)
-LDFLAGS   += $(DEBUG_g) $(Wall) -L../lib/ $(LDPATH)
-LIBS       = $(LIBROAR)
-SHOUTLIBS  = $(lib_shout) $(pthread) $(LIBS)
-VORBISLIBS = $(lib_vorbisfile) $(lib_vorbis) $(lib_ogg) $(LIBS)
-
-LNL        = $(CC) $(LDFLAGS) -o $@ $+
-L          = $(LNL) $(LIBS)
-
-all: ${TARGETS} $(TOOLS)
-	cp $(cp_v) ${TARGETS} $(TOOLS) ../lib/
+all: ${TARGETS}
+	cp -v ${TARGETS} ../lib/
 clean:
-	rm -f ${TARGETS} ${TOOLS} *.o
+	rm -f ${TARGETS} *.o
 new: clean all
 
 roarcat: roarcat.o
-	$L
 roarcatad: roarcatad.o
-	$L
-roarcat2sock: roarcat2sock.o
-	$L
-roarcatsendfile: roarcatsendfile.o
-	$L
-roarcatplay: roarcatplay.o
-	$L
-roarcatpassfh: roarcatpassfh.o
-	$L
-roarcatvio: roarcatvio.o
-	$L
-roarradio: roarradio.o
-	$L
 roarctl: roarctl.o
-	$L $(LIBROARDSP) $(lib_m)
 roarmon: roarmon.o
-	$L
-roarmonhttp: roarmonhttp.o
-	$L
-roarinterconnect: roarinterconnect.o
-	$L $(lib_esd) $(LIBROAREIO) $(lib_rsound)
-roarclientpass: roarclientpass.o
-	$L
-roarbidir: roarbidir.o
-	$L
-roarphone: roarphone.o
-	${CC} ${LDFLAGS} -o roarphone roarphone.o $(LIBROARDSP) $(LIBROAREIO) $(LIBS)
-roarfilt: roarfilt.o
-	${CC} ${LDFLAGS} -o roarfilt roarfilt.o $(LIBROARDSP) $(LIBS) $(lib_m)
-roarsin: roarsin.o
-	${CC} ${LDFLAGS} -o roarsin roarsin.o $(LIBROARDSP) $(LIBS) $(lib_m)
-roarvumeter: roarvumeter.o
-	${CC} ${LDFLAGS} -o roarvumeter roarvumeter.o $(LIBS) $(LIBROARDSP) $(lib_m)
-roardtmf: roardtmf.o
-	${CC} ${LDFLAGS} -o roardtmf roardtmf.o $(LIBS) $(LIBROARDSP)
-roarsockconnect: roarsockconnect.o
-	$L
-roarvio: roarvio.o
-	$L
-roarpluginrunner: roarpluginrunner.o
-	$L $(lib_dl)
-roartypes: roartypes.o
-	$L
-roarsocktypes: roarsocktypes.o
-	$L
-roar-config: roar-config.o
-	$(LNL) ../lib/libroar.a $(LIBROAR_NS)
-roarvorbis: roarvorbis.o
-	${CC} ${LDFLAGS} -o roarvorbis roarvorbis.o $(VORBISLIBS) $(LIBS)
-roarshout: roarshout.o
-	${CC} ${LDFLAGS} -o roarshout roarshout.o $(SHOUTLIBS) $(LIBS)
-polytest: polytest.o
-	${CC} ${LDFLAGS} -o polytest polytest.o $(LIBROARDSP) $(LIBS)
-roarlight: roarlight.o
-	${CC} ${LDFLAGS} -o roarlight roarlight.o $(LIBROARLIGHT) $(LIBS)
-pinentrytest: pinentrytest.o
-	$L
-zcattest: zcattest.o
-	$L
-pgptest: pgptest.o
-	$L
-pipetest: pipetest.o
-	$L
-roarfctest: roarfctest.o
-	${CC} ${LDFLAGS} -o roarfctest roarfctest.o $(LIBROARDSP) $(LIBS) $(lib_m)
-
-roarify.sht:
-roarify: roarify.sht
-	sed 's#%%%PREFIX_COMP_LIBS%%%#$(PREFIX_COMP_LIBS)#g; s#%%%PREFIX_COMP_BINS%%%#$(PREFIX_COMP_BINS)#g; s#%%%PREFIX_LIB%%%#$(PREFIX_LIB)#g; s#%%%VERSION%%%#$(COMMON_SOVERSION)#g;' < roarify.sht > roarify
-	chmod +rx roarify
-roarpluginapplication.sht:
-roarpluginapplication: roarpluginapplication.sht
-	cp roarpluginapplication.sht roarpluginapplication
-	chmod +rx roarpluginapplication
